ArrayObject::count
ArrayObject::getArrayCopy
ArrayObject
PHP Manual

# ArrayObject::exchangeArray

Exchange the array for another one.

### Description

public array ArrayObject::exchangeArray ( mixed `$input` )

Exchange the current array with another array or object.

### Parameters

`input`

  The new array or object to exchange with the current array.

### Return Values

Returns the old array.

### Examples

Example #1 ArrayObject::exchangeArray example

`<?php
// Array of available fruits
$fruits = array("lemons" => 1, "oranges" => 4, "bananas" => 5, "apples" => 10);
// Array of locations in Europe
$locations = array('Amsterdam', 'Paris', 'London');
$fruitsArrayObject = new ArrayObject($fruits);
// Now exchange fruits for locations
$old = $fruitsArrayObject->exchangeArray($locations);
print_r($old);
print_r($fruitsArrayObject);
?>`

The above example will output:

    Array
    (
        [lemons] => 1
        [oranges] => 4
        [bananas] => 5
        [apples] => 10
    )
    ArrayObject Object
    (
        [0] => Amsterdam
        [1] => Paris
        [2] => London
    )